- [HTTP request](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/app-lifecycle-manager/reference/rest/v1/projects.locations.rolloutKinds/get.md.txt#try-it)

Retrieve a single rollout kind.

### HTTP request

`GET https://saasservicemgmt.googleapis.com/v1/{name=projects/*/locations/*/rolloutKinds/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the resource within a service. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `RolloutKind`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/saasservicemgmt.readonly`
- `https://www.googleapis.com/auth/saasservicemgmt.read-write
  `

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `saasservicemgmt.rolloutKinds.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).